maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Scholte" <rfscho...@apache.org>
Subject Re: [MNG-6667] Hint at Maven upgrade requirement when trying to build a pom.xml with a newer modelVersion
Date Sat, 01 Jun 2019 15:03:22 GMT
This is a bit awkward, a modelVersion is not an artifactVersion even  
though they have the same characteristics.
Comparison will work, as would JavaVersion.
I'd prefer a dedicated comparator or GenericVersionScheme

Robert

[1]  
https://maven.apache.org/resolver/apidocs/org/eclipse/aether/util/version/GenericVersionScheme.html




On Sat, 01 Jun 2019 14:48:00 +0200, Stephen Connolly  
<stephen.alan.connolly@gmail.com> wrote:

> CI passed:
> https://builds.apache.org/job/maven-box/job/maven/job/mng-6667/1/
>
> On Sat 1 Jun 2019 at 13:01, Stephen Connolly <
> stephen.alan.connolly@gmail.com> wrote:
>
>> Finally got some time to do some work on Maven again... who knows how  
>> long
>> it will last!!!
>>
>> https://issues.apache.org/jira/browse/MNG-6667
>>
>>
>> https://gitbox.apache.org/repos/asf?p=maven.git;a=commit;h=7376a99093984c459f6a70cd1f508bbcf5ef26f7
>>
>> WDYT?
>>
>> If CI passes are we good to merge?
>>
>> -Stephen

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
For additional commands, e-mail: dev-help@maven.apache.org


Mime
View raw message